#!/bin/sh

if [ -x /usr/lib/rpm/redhat/find-provides ]; then
   FINDPROV=/usr/lib/rpm/redhat/find-provides
else
   FINDPROV=/usr/lib/rpm/find-provides
fi

$FINDPROV $* | sed \
-e 's/^\(libACE.so.*\)/acroread_\1/' \
-e 's/^\(libadobelinguistic.so.*\)/acroread_\1/' \
-e 's/^\(libAdobeXMP.so.*\)/acroread_\1/' \
-e 's/^\(libAGM.so.*\)/acroread_\1/' \
-e 's/^\(libahclient.so.*\)/acroread_\1/' \
-e 's/^\(libauthplay.so.*\)/acroread_\1/' \
-e 's/^\(libAXE8SharedExpat.so.*\)/acroread_\1/' \
-e 's/^\(libAXSLE.so.*\)/acroread_\1/' \
-e 's/^\(libBIB.so.*\)/acroread_\1/' \
-e 's/^\(libBIBUtils.so.*\)/acroread_\1/' \
-e 's/^\(libCoolType.so.*\)/acroread_\1/' \
-e 's/^\(libcrypto.so.*\)/acroread_\1/' \
-e 's/^\(libcurl.so.*\)/acroread_\1/' \
-e 's/^\(libextendscript.so.*\)/acroread_\1/' \
-e 's/^\(libeggtrayicon.so.*\)/acroread_\1/' \
-e 's/^\(libflashsupport.so.*\)/acroread_\1/' \
-e 's/^\(libicucnv.so.*\)/acroread_\1/' \
-e 's/^\(libicudata.so.*\)/acroread_\1/' \
-e 's/^\(libicui18n.so.*\)/acroread_\1/' \
-e 's/^\(libicuuc.so.*\)/acroread_\1/' \
-e 's/^\(libJP2K.so.*\)/acroread_\1/' \
-e 's/^\(libResAccess.so.*\)/acroread_\1/' \
-e 's/^\(librt3d.so.*\)/acroread_\1/' \
-e 's/^\(libsccore.so.*\)/acroread_\1/' \
-e 's/^\(libssl.so.*\)/acroread_\1/' \
-e 's/^\(libWRServices.so.*\)/acroread_\1/' \
-e '/\.api$/d' \
-e '/\.x3d$/d' \
-e '/\.pmp$/d' \
-e '/\.apl$/d' \
-e '/\.mpp$/d'
